org.eclipse.gef.requests

## Class SimpleFactory

- java.lang.Object
- - org.eclipse.gef.requests.SimpleFactory

All Implemented Interfaces:
  CreationFactory

    public class SimpleFactory
    extends java.lang.Object
    implements CreationFactory

A simple CreationFactory that takes a Class in the constructor and creates a new instance of this Class in `getNewObject()`.

Since:
  2.1

### Constructor Summary

Constructors
Constructor and Description
`SimpleFactory(java.lang.Class aClass)` Creates a SimpleFactory.

### Method Summary

Methods
`java.lang.Object` `getNewObject()` Create the new object.
`java.lang.Object` `getObjectType()` Returns the type of object this factory creates.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SimpleFactory

    public SimpleFactory(java.lang.Class aClass)

Creates a SimpleFactory.

Parameters:
  `aClass` - The class to be instantiated using this factory.

### Method Detail

#### getNewObject

    public java.lang.Object getNewObject()

Create the new object.

Specified by:
  `getNewObject` in interface `CreationFactory`
Returns:
  The newly created object.

#### getObjectType

    public java.lang.Object getObjectType()

Returns the type of object this factory creates.

Specified by:
  `getObjectType` in interface `CreationFactory`
Returns:
  The type of object this factory creates.